# Generated by Django 2.0.6 on 2018-07-03 10:54

import _socket
from django.db import migrations, models
import django_revision.revision_field
import edc_base.utils
import edc_model_fields.fields.hostname_modification_field
import edc_model_fields.fields.userfield
import edc_model_fields.fields.uuid_auto_field


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ExportedTransactionFileHistory',
            fields=[
                ('created', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('modified', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('user_created', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', edc_model_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', edc_model_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, editable=False, help_text='System auto field. UUID primary key.', primary_key=True, serialize=False)),
                ('hostname', models.CharField(default=_socket.gethostname, max_length=100)),
                ('device_id', models.CharField(max_length=5, null=True)),
                ('batch_id', models.CharField(max_length=100)),
                ('prev_batch_id', models.CharField(max_length=100)),
                ('remote_path', models.CharField(max_length=200, null=True)),
                ('archive_path', models.CharField(max_length=100, null=True)),
                ('filename', models.CharField(max_length=50)),
                ('filesize', models.FloatField(null=True)),
                ('filetimestamp', models.DateTimeField(null=True)),
                ('exported', models.BooleanField(default=False)),
                ('exported_datetime', models.DateTimeField(null=True)),
                ('sent', models.BooleanField(default=False)),
                ('sent_datetime', models.DateTimeField(null=True)),
                ('confirmation_code', models.CharField(blank=True, max_length=50, null=True)),
                ('confirmation_datetime', models.DateTimeField(null=True)),
            ],
            options={
                'verbose_name': 'Sent History',
                'verbose_name_plural': 'Sent History',
                'ordering': ('created',),
            },
        ),
        migrations.CreateModel(
            name='ImportedTransactionFileHistory',
            fields=[
                ('created', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('modified', models.DateTimeField(blank=True, default=edc_base.utils.get_utcnow)),
                ('user_created', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', edc_model_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', edc_model_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', edc_model_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, editable=False, help_text='System auto field. UUID primary key.', primary_key=True, serialize=False)),
                ('transaction_file', models.FileField(upload_to='')),
                ('filename', models.CharField(editable=False, max_length=50, null=True, unique=True)),
                ('batch_id', models.CharField(max_length=100, null=True)),
                ('prev_batch_id', models.CharField(max_length=100, null=True)),
                ('filedate', models.DateField(editable=False, null=True)),
                ('total', models.IntegerField(default=0, editable=False)),
                ('consumed', models.IntegerField(default=0, editable=False)),
                ('producer', models.TextField(editable=False, help_text='List of producers detected from the file.', max_length=1000, null=True)),
                ('comment', models.CharField(blank=True, max_length=250, null=True)),
            ],
            options={
                'ordering': ('-created',),
            },
        ),
        migrations.AddIndex(
            model_name='exportedtransactionfilehistory',
            index=models.Index(fields=['created'], name='django_offl_created_2b049a_idx'),
        ),
        migrations.AddIndex(
            model_name='exportedtransactionfilehistory',
            index=models.Index(fields=['sent_datetime'], name='django_offl_sent_da_e863ed_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='exportedtransactionfilehistory',
            unique_together={('filename', 'hostname')},
        ),
    ]
